%!TEX root=../../../../source.tex
%!TEX file=animations/cdpr/named/motion_up/ipanema_3/degree-7/segment-11/20190308T16102088460.tex

\pgfmathsetmacro{\caronumcab}{8}
\pgfmathsetmacro{\caropolydeg}{7}
\pgfmathsetmacro{\caronumsegment}{11}

\begin{animateinline}[loop,poster=first,controls]{30}
  \multiframe{151}{ix=0+1}{
  % \multiframe{30}{ix=0+1}{
    \begin{tikzpicture}[%
        /phlpptmpl/cable robot 3d,%
      ]
      \begin{axis}[%
          % General adjustments
          cable robot 3d,%
          scale only axis=false,%
          width=1.00\linewidth,%
          height=0.80\textheight,%
          %
          % X-Axis
          xmin=-9.00,%
          xmax=9.00,%
          %
          % Y-Axis
          ymin=-6.50,%
          ymax=6.50,%
          %
          % Z-Axis
          zmin=-1.00,%
          zmax=3.50,%
          %
          % Title
          title={Time \input{animations/cdpr/named/motion_up/ipanema_3/degree-\caropolydeg/segment-\caronumsegment/20190308T16102088460/frame_\ix/title}},%
        ]%
        
        % Cables and anchors in background
        \foreach \cableid in {1}{%
          \addplot3[%
              /phlpptmpl/cable robot cable,%
              /ustutt/thin,%
            ]%
            table[%
                x=x\cableid,%
                y=y\cableid,%
                z=z\cableid,%
                col sep=comma,%
              ]%
              {animations/cdpr/named/motion_up/ipanema_3/degree-\caropolydeg/segment-\caronumsegment/20190308T16102088460/frame_\ix/cables.dat};

          \pgfmathsetmacro{\cableidindex}{\cableid-1}
          % Platform anchors
          \addplot3[%
              /phlpptmpl/cable robot platform anchor background,%
              /ustutt/thin,%
              select only coord at index=\cableidindex,%
            ]%
            table[%
                x=x,%
                y=y,%
                z=z,%
                col sep=comma,%
              ]%
              {animations/cdpr/named/motion_up/ipanema_3/degree-\caropolydeg/segment-\caronumsegment/20190308T16102088460/frame_\ix/platform_1.vertices.dat};
        }

        % Platform
        \addplot3[%
            /phlpptmpl/cable robot platform,%
            /ustutt/thin,%
            patch table=animations/cdpr/named/motion_up/ipanema_3/degree-\caropolydeg/segment-\caronumsegment/20190308T16102088460/frame_\ix/platform_1.faces.dat,%
            % patch type=rectangle,,%
          ]%
          table[%
              x=x,%
              y=y,%
              z=z,%
              col sep=comma,%
            ]%
            {animations/cdpr/named/motion_up/ipanema_3/degree-\caropolydeg/segment-\caronumsegment/20190308T16102088460/frame_\ix/platform_1.vertices.dat};

        % Cables foreground
        \foreach \cableid in {2,3,4,5,6,7,8}{%
          \addplot3[%
              /phlpptmpl/cable robot cable,%
              /ustutt/thin,%
            ]%
            table[%
                x=x\cableid,%
                y=y\cableid,%
                z=z\cableid,%
                col sep=comma,%
              ]%
              {animations/cdpr/named/motion_up/ipanema_3/degree-\caropolydeg/segment-\caronumsegment/20190308T16102088460/frame_\ix/cables.dat};

          \pgfmathsetmacro{\cableidindex}{\cableid-1}
          % Platform anchors
          \addplot3[%
              /phlpptmpl/cable robot platform anchor,%
              /ustutt/thin,%
              select only coord at index=\cableidindex,%
            ]%
            table[%
                x=x,%
                y=y,%
                z=z,%
                col sep=comma,%
              ]%
              {animations/cdpr/named/motion_up/ipanema_3/degree-\caropolydeg/segment-\caronumsegment/20190308T16102088460/frame_\ix/platform_1.vertices.dat};
        }

        % Winches
        \foreach \winchid in {1,2,...,\caronumcab}{%
          \addplot3[%
              /phlpptmpl/cable robot frame anchor,%
              /ustutt/thin,%
            ]%
            table[%
                x=x\winchid,%
                y=y\winchid,%
                z=z\winchid,%
                col sep=comma,%
              ]%
              {animations/cdpr/named/motion_up/ipanema_3/degree-\caropolydeg/segment-\caronumsegment/20190308T16102088460/frame_\ix/winches.dat};
        }
        
      \end{axis}
    \end{tikzpicture}
  }
\end{animateinline}
